| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Attributes | List of all members
Tp::ContactCapability Struct Reference
Types and constants » Structure types

`#include <TelepathyQt/Types>`

## Public Attributes

uint | handle
QString | channelType
uint | genericFlags
uint | typeSpecificFlags

## Detailed Description

Structure type generated from the specification.

A struct (contact handle, channel type, generic flags, type-specific flags) representing a capability posessed by a contact, as returned by GetCapabilities on the Capabilities interface.

## Member Data Documentation

uint Tp::ContactCapability::handle

QString Tp::ContactCapability::channelType

uint Tp::ContactCapability::genericFlags

uint Tp::ContactCapability::typeSpecificFlags